summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks')
-rw-r--r--kde-frameworks/plasma/Manifest1
-rw-r--r--kde-frameworks/plasma/plasma-5.56.1-r2.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/kde-frameworks/plasma/Manifest b/kde-frameworks/plasma/Manifest
index 2d142c8d1b9..bdd67acc75f 100644
--- a/kde-frameworks/plasma/Manifest
+++ b/kde-frameworks/plasma/Manifest
@@ -1,3 +1,4 @@
DIST plasma-5.56.1-background-svgz.tar.xz 12952 BLAKE2B 3566ffcbd8b6d19765583c1f8e054afa1eb5bf15984a912114bc348caf1ec3860910d30dc8f0c5a5b3541cd0136bfa6fc968009392f6142bc65b54c51ee7d4c3 SHA512 8ec90cb9ee8726969227d4a3191d2fbda6f5498954074c1a8f585460bd2175231a7abf7f920fccd52c863f573c861dd719ac6b15f78a782323e3a7d4a5b42c00
+DIST plasma-5.56.1-broken-svgz.tar.xz 17640 BLAKE2B 23238eeba51a8a103584cc6da4b27fa57b50154d0fb013d3eb907281ab36c1be6c5fd6e2e7793c21083bd1f58aefc4d3c27493662cc552e20e2c71d6584a4421 SHA512 cc20d0ce9ebc38fe9f92713ffd38cce2b1b48e684a000af5681c7d5040002baa438acf3019c511bcec93289e10190f0f9cbc7ea33123e4a692a7dfcb9052cdeb
DIST plasma-framework-5.54.0.tar.xz 4631204 BLAKE2B c7c68f96524be0bc359b0f4b36c79c2d581a8659a53ab432ad64bbeec00b4004630170d2354a887e0ae6d2c15c50d9895fbb5f27def6d8574fd051e5f1612551 SHA512 618f2beb3b8a25cacf7c11339ba15cae10db461c61e278a5ba845e9afac7e9edb48fde16bd78b4bb7d16c07001f8d9fbdbf5bfd58593488a544fa183b3df8c15
DIST plasma-framework-5.56.1.tar.xz 4636412 BLAKE2B 516c50e9540f5e82c97dd9ea767b9fb79647ad74f54da767930119292f3a3dea69bbea0df2b00ef0a0300a558663cdc14f97883bf8c19346a53272e1c7d083b3 SHA512 4cf9387016b25fa060e9b1859a2d3894d48e0e698130886b2fab94a92023c438566bc509b2066c58d1273214e91a63705b05f4f8cad9121d8e84ebed4a7d11af
diff --git a/kde-frameworks/plasma/plasma-5.56.1-r2.ebuild b/kde-frameworks/plasma/plasma-5.56.1-r2.ebuild
new file mode 100644
index 00000000000..26fb4e1c9b5
--- /dev/null
+++ b/kde-frameworks/plasma/plasma-5.56.1-r2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KMNAME="${PN}-framework"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Plasma framework"
+SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${P}-broken-svgz.tar.xz"
+
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="gles2 wayland X"
+
+BDEPEND="
+ $(add_frameworks_dep kdoctools)
+"
+RDEPEND="
+ $(add_frameworks_dep kactivities)
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdeclarative)
+ $(add_frameworks_dep kglobalaccel)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kirigami)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kpackage)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui 'gles2=')
+ $(add_qt_dep qtquickcontrols)
+ $(add_qt_dep qtsql)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwidgets)
+ !gles2? ( virtual/opengl )
+ wayland? (
+ $(add_frameworks_dep kwayland)
+ media-libs/mesa[egl]
+ )
+ X? (
+ $(add_qt_dep qtx11extras)
+ x11-libs/libX11
+ x11-libs/libxcb
+ )
+"
+DEPEND="${RDEPEND}
+ X? ( x11-base/xorg-proto )
+"
+
+RESTRICT+=" test"
+
+src_prepare() {
+ kde5_src_prepare
+ # QtSvg 5.12.2 uncovered a bug: https://phabricator.kde.org/D19821, https://bugs.kde.org/show_bug.cgi?id=405548
+ cp -v "${WORKDIR}"/{${KMNAME},${KMNAME}-${PV}}/src/desktoptheme/breeze/dialogs/background.svgz || die
+ cp -v "${WORKDIR}"/{${KMNAME},${KMNAME}-${PV}}/src/desktoptheme/breeze/translucent/dialogs/background.svgz || die
+ cp -v "${WORKDIR}"/{${KMNAME},${KMNAME}-${PV}}/src/desktoptheme/breeze/widgets/tooltip.svgz || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package !gles2 OpenGL)
+ $(cmake-utils_use_find_package wayland EGL)
+ $(cmake-utils_use_find_package wayland KF5Wayland)
+ $(cmake-utils_use_find_package X X11)
+ $(cmake-utils_use_find_package X XCB)
+ )
+
+ kde5_src_configure
+}